<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="shortcut icon"
      href="https://cdn.iconscout.com/icon/free/png-256/javascript-2038874-1720087.png"
    />
    <title>Homework 10</title>
    <style>
      body {
        background-color: #f0db4f;
      }
      h1 {
        line-height: 40px;
        font-size: 30px;
        font-family: Verdana, Helvetica, sans-serif;
        color: #333;
        text-align: center;
        margin-top: 120px;
      }

      .password {
        width: 300px;
        margin: 15px auto;
        position: relative;
      }

      .password-input {
        width: 100%;
        padding: 6px 0;
        height: 20px;
        line-height: 40px;
        text-indent: 5px;
        margin: 0 0 12px 0;
        border-radius: 3px;
        border: 1px solid #888383;
        font-size: 15px;
      }

      .password-control {
        position: absolute;
        align-items: center;
        top: 8px;
        right: 6px;
        display: inline-block;
        width: 20px;
        height: 20px;
        background: url(../HM10/IMG/view.svg) 0 0 no-repeat;
      }

      .password-control.view {
        background: url(../HM10/IMG/no-view.svg) 0 0 no-repeat;
      }

      .btn {
        display: block;
        margin: auto;
        width: 160px;
        cursor: pointer;
        padding: 8px;
      }
      .result {
        display: none;
      }

      .result-text {
        text-align: center;
        color: crimson;
      }
    </style>
  </head>
  <body>
    <form id="form_wrap" class="password-form">
      <div class="password">
        <input
          type="password"
          id="password-input"
          class="password-input"
          placeholder="Введіть пароль"
          name="password"
        />
        <a
          href="#"
          class="password-control"
          onclick="return show_hide_password('password-input', this);"
        ></a>
      </div>
      <div class="password">
        <input
          type="password"
          id="password-confirm"
          class="password-input"
          placeholder="Підтвердіть пароль"
          name="retype_password"
        />
        <a
          href="#"
          class="password-control"
          onclick="return show_hide_password('password-confirm', this);"
        ></a>
      </div>
      <div id="result" class="result">
        <p class="result-text">Паролі не співпадають</p>
      </div>
      <button type="submit" class="btn" onclick="validate(event);">
        Підтвердити
      </button>
    </form>

    <h1>JavaScript - Homework 10</h1>
    <script src="../HM10/script.js"></script>
  </body>
</html>
